<app-loading *ngIf="isLoadingPage"></app-loading>
<form nz-form [formGroup]="form">
  <div nz-row [nzGutter]="[30,30]">
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-select [mbDataSelects]="documentTypeList"
                 mbKeyLabel="label"
                 mbKeyValue="value"
                 [mbType]="isSubmitted && form.controls['profileTypeCode'].errors ? 'error' : 'default'"
                 [mbShowError]="isSubmitted && form.controls['profileTypeCode'].errors !== null"
                 [mbErrors]="form.controls['profileTypeCode'].errors"
                 [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.documentAttachedInformation.label.documentType' | translate }}]"
                 mbPlaceholder="{{'staffManager.documentAttachedInformation.label.documentType' | translate}}"
                 mbLabelText="{{'staffManager.documentAttachedInformation.label.documentType' | translate}} <span class='label__required'>*</span>"
                 formControlName="profileTypeCode"></mb-select>
    </div>
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-select [mbDataSelects]="hardDocumentList"
                 mbPlaceholder="{{'staffManager.documentAttachedInformation.label.saveDocumentOrigin' | translate}}"
                 mbLabelText="{{'staffManager.documentAttachedInformation.label.saveDocumentOrigin' | translate}} <span class='label__required'>*</span>"
                 formControlName="isHardDocument"></mb-select>
    </div>
    <div nz-col [nzXs]="24" [nzLg]="24">
      <mb-input-text [mbIsTextAre]="true"
                     mbPlaceholderText="{{'staffManager.documentAttachedInformation.label.note' | translate}}"
                     mbLabelText="{{'staffManager.documentAttachedInformation.label.note' | translate}}"
                     formControlName="note"></mb-input-text>
    </div>
    <div nz-col [nzXs]="24" [nzLg]="24">
      <label class="input__label">{{'staffManager.label.file' | translate}}</label>
      <nz-upload
        nzType="drag"
        [nzMultiple]=" true"
        [(nzFileList)]="fileList" [nzBeforeUpload]="beforeUpload" nzAccept='.rar, .zip, .pdf' [nzDownload]="downloadFile" [nzRemove]="removeFile">
        <p class="ant-upload-drag-icon">
          <em nz-icon nzType="inbox"></em>
        </p>
        <p class="ant-upload-text">{{'common.upload.description'|translate}}</p>
        <p class="ant-upload-hint">
          {{'common.upload.supportType'|translate}}
        </p>
      </nz-upload>
    </div>
  </div>
</form>
